Skip to content
GitLab
Explore
Sign in
Primary navigation
Search or go to…
Project
M
ma-wilkins-import
Manage
Activity
Members
Code
Repository
Branches
Commits
Tags
Repository graph
Compare revisions
Deploy
Releases
Container registry
Model registry
Analyze
Contributor analytics
Model experiments
Help
Help
Support
GitLab documentation
Compare GitLab plans
Community forum
Contribute to GitLab
Provide feedback
Keyboard shortcuts
?
Snippets
Groups
Projects
Show more breadcrumbs
schwede
ma-wilkins-import
Commits
9ec433b5
Commit
9ec433b5
authored
3 years ago
by
B13nch3n
Browse files
Options
Downloads
Patches
Plain Diff
Finisch container
parent
31d633d4
No related branches found
No related tags found
No related merge requests found
Changes
2
Hide whitespace changes
Inline
Side-by-side
Showing
2 changed files
Dockerfile
+2
-2
2 additions, 2 deletions
Dockerfile
docker-entrypoint.sh
+34
-0
34 additions, 0 deletions
docker-entrypoint.sh
with
36 additions
and
2 deletions
Dockerfile
+
2
−
2
View file @
9ec433b5
...
...
@@ -48,11 +48,11 @@ ARG MMCIF_USER_ID=501
RUN
adduser
--system
-u
${
MMCIF_USER_ID
}
mmcif
#
COPY --chmod=755 docker-entrypoint.sh /
COPY
--chmod=755 docker-entrypoint.sh /
USER
mmcif
#
ENTRYPOINT ["/docker-entrypoint.sh"]
ENTRYPOINT
["/docker-entrypoint.sh"]
# LocalWords: ARG OST ARGs ENV SRC tmp PYTHONUNBUFFERED Schwede schwedelab py
# LocalWords: PYTHONDONTWRITEBYTECODE Bioinformatics sib swiss Biozentrum ihm
...
...
This diff is collapsed.
Click to expand it.
docker-entrypoint.sh
0 → 100644
+
34
−
0
View file @
9ec433b5
#!/bin/bash
## (We use sh since Alpine does not have Bash by default)
## exit immediately on commands with a non-zero exit status.
set
-euo
pipefail
## When started without any arguments, "-h", "--help", "-help" or "help", print
## usage.
if
[
$#
-eq
0
]
||
[
x
$1
==
x
"-h"
]
||
[
x
$1
==
x
"--help"
]
||
[
x
$1
==
x
"-help"
]
||
[
x
$1
==
x
"help"
]
;
then
echo
" ModelCIF file formating tool."
echo
"------------------------------------------"
echo
"Provided by SWISS-MODEL / Schwede group"
echo
"(swissmodel.expasy.org / schwedelab.org)"
echo
""
echo
"This container takes a directory of "
echo
"AlphaFold2 models and turns them into "
echo
"ModelCIF files."
echo
""
/usr/local/bin/translate2modelcif
--help
exit
1
fi
if
[
x
$1
==
x
"translate2modelcif"
]
||
[
x
$1
==
x
"2cif"
]
;
then
echo
"Let's go to the CIF site of life!"
shift
# take over the process, make translate2modelcif run on PID 1
exec
/usr/local/bin/translate2modelcif
$@
exit
$?
fi
exec
"
$@
"
# LocalWords: euo pipefail eq Schwede schwedelab mmcif fi
This diff is collapsed.
Click to expand it.
Preview
0%
Loading
Try again
or
attach a new file
.
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Save comment
Cancel
Please
register
or
sign in
to comment